MT_DESTROY_POOL(3)

FUNCTION
mt_destroy_pool - This routine will destroy a thread pool.

SYNOPSIS
#include <karma_mt.h>

void mt_destroy_pool

(KThreadPool pool, flag interrupt)

DESCRIPTION
This routine will destroy a thread pool.

pool
    The thread pool.

interrupt
    If TRUE, any jobs not yet completed will be killed, else the function will wait for uncompleted jobs to finish prior to destroying the pool.

RETURN VALUE
Nothing.

Multi-threading Level
Safe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/